abbr[title] {
	text-decoration: none;
	border-bottom: 1px dotted;
}

.container-fluid textarea {
	height: 150px;
	padding: 0 4px;
	font-family: monospace;
}

#conv_utf8char {
	font-family: sans-serif;
}

.copy,
.hash,
.hash_raw,
.html,
.send,
.file {
	margin-right: 0.5ex;
}

.btn {
	margin-top: 0.2ex;
}

.hash_out,
.example {
	font-family: monospace;
	font-size: larger;
}

.example {
	font-size: 90%;
}

#ip {
	position: absolute;
	top: 10px;
	right: 10px;
	color: lightgray;
	z-index: 2;
	text-align: right;
}

#ip span {
	font-family: monospace;
	font-size: larger;
	margin-left: 1ex;
}

.input-xs {
	height: 22px;
	font-size: 12px !important;
	padding-left: 5px !important;
	width: 50%;
}

.hidden {
	display: none;
}

#links ul {
	margin-bottom: 0;
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-start;
}

#links ul li {
	margin: 1ex;
	flex-grow: 0;
	width: auto;
}

label[for="b64url"] {
	margin-bottom: 0;
}

label[for="b64url"],
label[for="hash_raw"] {
	margin-left: 3rem
}

.card-body {
	box-shadow: inset 0 0 0 9999rem rgba(255, 255, 255, 0.03);
}

.row:not(:first-child) {
	margin-top: 1rem;
}

input#caesar {
	display: inline-block;
	width: auto;
}

input.mono {
	font-family: monospace;
}

.btn-tiny {
	--bs-btn-padding-y: 0rem;
	--bs-btn-padding-x: .25rem;
	--bs-btn-font-size: .75rem;
	vertical-align: baseline;
}

#ip_conv label {
	margin-top: 0.5rem;
}

#time .row:not(:first-child).form-group {
	margin-top: 0;
}

#hashes table tbody tr th:first-child {
	border-right: 1px solid #999999;
}

#hashes table > tbody > tr:hover > * {
	color: #212529;
	background-color: #DDDDDD !important;
	border-color: #212529 !important;
}

#divInput .col {
	position: relative;
}

#divInput .col:not(:last-child):after {
	content: "=";
	position: absolute;
	right: -0.35rem;
	top: 2rem;
}

@media only all {
	#divInput {
		line-height: 30px;
	}

	#formula {
		border-left: 2px solid #5441f1;
		margin: 5px;
		font-size: 14px;
		padding: 5px 0 5px 10px;
	}

	#formula ul {
		padding-left: 20px;
		margin: 0;
	}

	#ruler {
		border: 1px solid gray;
	}
}

@media only screen and (max-width: 500px) {
	#divInput {
		line-height: normal;
	}

	#formula {
		width: 100%
	}
}
